Skip to main content
GET
/
api
/
v1
/
projects
/
creator
/
{creator}
Get projects by creator
curl --request GET \
  --url https://api.yapcoder.com/api/v1/projects/creator/{creator} \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z",
    "creator_username": "<string>",
    "creator_address": "<string>",
    "name": "<string>",
    "usernames": [
      "<string>"
    ],
    "repos": [
      "<string>"
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

creator
string
required

Response

List of projects

id
integer<int64>
created_at
string<date-time>
updated_at
string<date-time>
deleted_at
string<date-time>
creator_username
string
creator_address
string
name
string
usernames
string[]
repos
string[]